import { Context, Serializer, WrappedInstruction } from '@metaplex-foundation/umi-core';
export type AddMemoInstructionData = {
    memo: string;
};
export type AddMemoInstructionDataArgs = AddMemoInstructionData;
export declare function getAddMemoInstructionDataSerializer(context: Pick<Context, 'serializer'>): Serializer<AddMemoInstructionDataArgs, AddMemoInstructionData>;
export declare function addMemo(context: Pick<Context, 'serializer' | 'programs'>, input: AddMemoInstructionDataArgs): WrappedInstruction;
