"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getSplAddressLookupTableProgram = void 0;
const umi_core_1 = require("@metaplex-foundation/umi-core");
const errors_1 = require("../errors");
function getSplAddressLookupTableProgram() {
    return {
        name: 'splAddressLookupTable',
        publicKey: (0, umi_core_1.publicKey)('AddressLookupTab1e1111111111111111111111111'),
        getErrorFromCode(code, cause) {
            return (0, errors_1.getSplAddressLookupTableErrorFromCode)(code, this, cause);
        },
        getErrorFromName(name, cause) {
            return (0, errors_1.getSplAddressLookupTableErrorFromName)(name, this, cause);
        },
        isOnCluster() {
            return true;
        },
    };
}
exports.getSplAddressLookupTableProgram = getSplAddressLookupTableProgram;
//# sourceMappingURL=splAddressLookupTable.js.map